# $Revision: 1.80.4.4 $, $Date: 2007/10/22 16:31:21 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Bonobo user interface components
Summary(pl):	Komponenty interfejsu uytkownika do Bonobo
Name:		libbonoboui
Version:	2.14.0
Release:	4
License:	LGPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	dc26dc17cddc625cac37ecfab263a51a
Patch0:		%{name}-desktop.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	ORBit2-devel >= 1:2.14.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	intltool >= 0.29
BuildRequires:	libbonobo-devel >= 2.14.0
BuildRequires:	libglade2-devel >= 1:2.4.0
BuildRequires:	libgnome-devel >= 2.14.0
BuildRequires:	libgnomecanvas-devel >= 2.14.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6.13
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	GConf2 >= 2.14.0
Requires:	libbonobo >= 2.14.0
Requires:	libgnome >= 2.14.0
Requires:	libgnomecanvas >= 2.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bonobo is a component system based on CORBA, used by the GNOME
desktop. libbonoboui contains the user interface related components
that come with Bonobo.

%description -l pl
Bonobo jest systemem komponentw bazujcym na CORB-ie, uywanym przez
rodowisko GNOME. libbonoboui zawiera komponenty zwizane z
interfejsem uytkownika, ktre przychodz z Bonobo.

%package devel
Summary:	Headers for libbonoboui
Summary(pl):	Pliki nagwkowe libbonoboui
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2-devel >= 2.14.0
Requires:	libbonobo-devel >= 2.14.0
Requires:	libglade2-devel >= 1:2.4.0
Requires:	libgnome-devel >= 2.14.0
Requires:	libgnomecanvas-devel >= 2.14.0
Requires:	libxml2-devel >= 2.6.13

%description devel
Bonobo is a component system based on CORBA, used by the GNOME
desktop. libbonoboui contains GUI components that come with Bonobo.

This package contains header files used to compile programs that use
libbonoboui.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do kompilacji programw
uywajcych libbonoboui.

%package -n gnome-bonobo-browser
Summary:	Bonobo component viewer
Summary(pl):	Przegldarka komponentw bonobo
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description -n gnome-bonobo-browser
Shows available Bonobo components.

%description -n gnome-bonobo-browser -l pl
Wywietla dostpne komponenty bonobo.

%package static
Summary:	Static libbonoboui library
Summary(pl):	Statyczna biblioteka libbonoboui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of libbonoboui.

%description static -l pl
Ten pakiet zawiera statyczn wersj biblioteki libbonoboui.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no static modules and *.la for glade modules
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a}

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/test-moniker
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/libglade/2.0/*.so
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo-2.0/samples/*
%{_datadir}/gnome-2.0

%files devel
%defattr(644,root,root,755)
%doc doc/*.xml doc/*.txt doc/*.html doc/*.dtd
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/libbonoboui-2.0
%{_gtkdocdir}/%{name}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%files -n gnome-bonobo-browser
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/bonobo-browser
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libbonoboui.spec,v $
Revision 1.80.4.4  2007/10/22 16:31:21  glen
- rel 4

Revision 1.80.4.3  2007/10/20 16:14:54  glen
- rel 3

Revision 1.80.4.2  2006/05/18 20:05:50  baggins
- release 2
- strict reqs

Revision 1.80.4.1  2006/05/15 12:58:00  baggins
- merged from HEAD

Revision 1.81  2006/04/01 20:54:40  freetz
- merged from DEVEL

Revision 1.80.2.4  2006/03/14 22:21:08  freetz
- 2.14.0

Revision 1.80.2.3  2006/02/21 12:04:18  wiget
- force newer libgnomecanvas (2.13.0)

Revision 1.80.2.2  2006/02/19 20:25:31  freetz
- updated BR, dropped xlibs support

Revision 1.80.2.1  2006/01/18 22:50:52  freetz
- 2.13.1, disable howl for now

Revision 1.80  2005/08/21 11:14:16  aflinta
- version 2.10.1

Revision 1.79  2005/07/07 11:27:29  freetz
- 2.10.0

Revision 1.78  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.77  2005/06/15 15:42:35  witekfl
- added bcond_without static

Revision 1.76  2005/05/11 17:00:50  pluto
- release 5 for Th.

Revision 1.75  2005/04/16 14:58:56  paladine
- reverted last changes

Revision 1.73  2005/04/14 17:49:50  freetz
- separated bonobo browser, rel.4

Revision 1.72  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.71  2005/04/10 17:32:30  freetz
- new style macros, rel. 3

Revision 1.70  2005/03/20 21:22:05  aflinta
- rebuils with howl 0.9.10, release 2

Revision 1.69  2005/03/06 18:52:38  darekr
- BR: sed 4.0

Revision 1.68  2005/02/05 16:29:47  grzegol
- updated to 2.8.1
- added desktop patch

Revision 1.67  2004/09/15 09:28:23  grzegol
- updated to 2.8.0
- removed locale-names patch and remove no locale in %%install

Revision 1.66  2004/08/16 08:39:07  krzak
- rel 3 - rebuild with XFree86

Revision 1.65  2004/07/08 23:38:51  jpc
- xlibs bcond (with BR and s/AC_PATH_XTRA/PKG_CHECK_MODULES/)

Revision 1.64  2004/06/04 13:41:30  aflinta
- rebuild, release 2

Revision 1.63  2004/05/14 21:15:49  aflinta
- up to version 2.6.1

Revision 1.62  2004/03/31 13:26:37  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.61  2004/03/19 23:46:29  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.60  2004/01/09 15:46:22  freetz
- up to 2.4.3 - STBR for AC

Revision 1.59  2003/12/27 18:46:54  qboosh
- no *.la for glade modules; release 2

Revision 1.58.2.5  2004/03/09 12:58:07  grzegol
- updated to 2.5.4
- enabled gtk-doc

Revision 1.58.2.4  2004/02/24 18:38:19  grzegol
- strict internal deps

Revision 1.58.2.3  2004/02/24 14:30:26  aflinta
- up to version 2.5.3

Revision 1.58.2.2  2004/01/16 15:09:23  grzegol
- updated to 2.5.2

Revision 1.58.2.1  2003/12/10 15:28:06  wiget
- 2.5.1

Revision 1.58  2003/12/08 22:52:20  wiget
- 2.4.2

Revision 1.57  2003/10/29 13:35:01  freetz
- 2.4.1

Revision 1.56  2003/09/30 20:18:25  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.55  2003/08/27 14:47:27  aflinta
- version 2.4.0

Revision 1.54  2003/08/18 08:08:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.53  2003/08/11 18:29:48  aflinta
- version 2.3.6

Revision 1.52  2003/08/10 20:23:33  qwark
-bounce BR libart_lgpl to 2.3.14, at least for gdm

Revision 1.51  2003/08/01 11:58:48  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.50  2003/06/10 19:17:54  aflinta
- version 2.3.3

Revision 1.49  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.48  2003/05/25 05:49:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.47  2003/05/20 11:35:54  qboosh
- added locale-sr patch to be compatible with glibc

Revision 1.46  2003/05/20 09:37:51  trojan
- updated to 2.2.2

Revision 1.45  2003/05/12 20:02:48  aflinta
- release 2

Revision 1.44  2003/05/12 11:09:14  qboosh
- removed static modules

Revision 1.43  2003/03/04 19:21:08  aflinta
- updated to version 2.2.0.1

Revision 1.42  2003/02/13 14:03:34  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.41  2003/01/21 15:34:11  aflinta
- updated to version 2.2.0

Revision 1.40  2003/01/17 12:59:55  trojan
- fixed %%files (no need 755 for *.la)

Revision 1.39  2003/01/06 17:56:57  aflinta
- updated to version 2.1.2

Revision 1.38  2002/12/04 19:33:03  aflinta
- moved from /usr/X11R6 to /usr, release 4

Revision 1.37  2002/11/29 01:31:36  wrobell
- typo

Revision 1.36  2002/11/28 23:48:31  wrobell
- massive attack: do not put bonobo servers into /usr/lib; remove
  _bonobo_server_dir definition (bonobo-activation configuration
  should be modified to look for servers in /usr and /usr/X11R6)

Revision 1.35  2002/11/28 14:21:44  wrobell
- typo

Revision 1.34  2002/11/28 14:19:39  wrobell
- s/_samplesdir/_bonobo_example_dir/g

Revision 1.33  2002/11/28 13:53:28  wrobell
- massive attack: s/_serverdir/_bonobo_server_dir/cg

Revision 1.32  2002/11/28 13:42:22  aflinta
- updated samples dir location

Revision 1.31  2002/11/27 23:28:48  grzegol
- updated server file location
- rel. 2

Revision 1.30  2002/11/26 19:26:00  aflinta
- updated to version 2.1.1

Revision 1.29  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.28  2002/11/03 19:22:24  aflinta
- updated to version 2.1.0

Revision 1.27  2002/10/29 18:54:30  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.26  2002/10/24 10:03:44  malekith
- release 2

Revision 1.25  2002/10/23 06:34:58  trojan
- BR: bonobo-activation >= 1.0.0 (not 2.1.0)

Revision 1.24  2002/10/19 09:05:06  aflinta
- updated to version 2.0.3.2

Revision 1.23  2002/10/07 13:26:42  qboosh
- BR: autoconf,automake,libtool

Revision 1.22  2002/10/02 21:47:43  aflinta
- updated to version 2.0.3.1

Revision 1.21  2002/08/30 21:41:49  aflinta
- updated to version 2.0.3

Revision 1.20  2002/08/29 12:58:22  aflinta
- release 2

Revision 1.19  2002/08/29 11:53:49  aflinta
- updated BR

Revision 1.18  2002/08/29 09:39:16  kura
- Version:       2.0.2

Revision 1.17  2002/08/15 01:59:07  michuz
- updated to 2.0.1

Revision 1.16  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.15  2002/06/12 10:48:14  wiget
force newer build env

Revision 1.14  2002/06/11 07:07:56  wiget
updated to 2.0.0

Revision 1.13  2002/05/28 07:04:50  wiget
updated to 1.117.1

Revision 1.12  2002/05/25 09:22:27  kloczek
- release 3,
- openssl-devel added to BuildRequires,
- added Requires rules in devel,
- use new %doc infrastructure.

Revision 1.11  2002/05/21 15:08:07  wiget
- version 1.117.0
- strict BR

Revision 1.10  2002/05/14 10:39:45  wiget
%%files fixes

Revision 1.9  2002/04/30 13:56:07  michuz
 - 1.116.0

Revision 1.8  2002/04/26 13:03:06  michuz
- updated to 1.115.0

Revision 1.7  2002/04/18 15:37:16  michuz
- removed patch0

Revision 1.6  2002/04/14 10:42:28  michuz
- updated to 1.113.0

Revision 1.5  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/05 15:51:26  qboosh
- separated -static, gzip doc, added pl translations

Revision 1.2  2002/02/01 19:11:16  kloczek
- partialy rewrited,
- switch to bzipped2 tar ball.

Based on spec from RedHat.
